# -*- encoding: utf-8 -*-
# stub: ruby_ami 2.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ruby_ami".freeze
  s.version = "2.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ben Langfeld".freeze, "Ben Klang".freeze]
  s.date = "2018-03-19"
  s.description = "A Ruby client library for the Asterisk Management Interface built on Celluloid IO.".freeze
  s.email = ["ben@langfeld.me".freeze, "bklang@mojolingo.com".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "benchmarks/agi_env_parse.rb".freeze, "benchmarks/lexer.rb".freeze, "cucumber.yml".freeze, "features/lexer.feature".freeze, "features/step_definitions/lexer_steps.rb".freeze, "features/support/ami_fixtures.yml".freeze, "features/support/env.rb".freeze, "features/support/introspective_lexer.rb".freeze, "features/support/lexer_helper.rb".freeze, "lib/ruby_ami.rb".freeze, "lib/ruby_ami/action.rb".freeze, "lib/ruby_ami/agi_result_parser.rb".freeze, "lib/ruby_ami/async_agi_environment_parser.rb".freeze, "lib/ruby_ami/client.rb".freeze, "lib/ruby_ami/core_ext/celluloid.rb".freeze, "lib/ruby_ami/error.rb".freeze, "lib/ruby_ami/event.rb".freeze, "lib/ruby_ami/lexer.rb".freeze, "lib/ruby_ami/response.rb".freeze, "lib/ruby_ami/stream.rb".freeze, "lib/ruby_ami/version.rb".freeze, "ruby_ami.gemspec".freeze, "spec/ruby_ami/action_spec.rb".freeze, "spec/ruby_ami/agi_result_parser_spec.rb".freeze, "spec/ruby_ami/async_agi_environment_parser_spec.rb".freeze, "spec/ruby_ami/client_spec.rb".freeze, "spec/ruby_ami/error_spec.rb".freeze, "spec/ruby_ami/event_spec.rb".freeze, "spec/ruby_ami/response_spec.rb".freeze, "spec/ruby_ami/stream_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/mock_server.rb".freeze]
  s.homepage = "".freeze
  s.rubyforge_project = "ruby_ami".freeze
  s.rubygems_version = "2.5.2.2".freeze
  s.summary = "Futzing with AMI so you don't have to".freeze
  s.test_files = ["features/lexer.feature".freeze, "features/step_definitions/lexer_steps.rb".freeze, "features/support/ami_fixtures.yml".freeze, "features/support/env.rb".freeze, "features/support/introspective_lexer.rb".freeze, "features/support/lexer_helper.rb".freeze, "spec/ruby_ami/action_spec.rb".freeze, "spec/ruby_ami/agi_result_parser_spec.rb".freeze, "spec/ruby_ami/async_agi_environment_parser_spec.rb".freeze, "spec/ruby_ami/client_spec.rb".freeze, "spec/ruby_ami/error_spec.rb".freeze, "spec/ruby_ami/event_spec.rb".freeze, "spec/ruby_ami/response_spec.rb".freeze, "spec/ruby_ami/stream_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/mock_server.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<celluloid-io>.freeze, ["~> 0.13"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 2.5"])
      s.add_development_dependency(%q<cucumber>.freeze, [">= 0"])
      s.add_development_dependency(%q<yard>.freeze, ["~> 0.6"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard-rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard-shell>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard-cucumber>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard-rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<benchmark_suite>.freeze, [">= 0"])
    else
      s.add_dependency(%q<celluloid-io>.freeze, ["~> 0.13"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 2.5"])
      s.add_dependency(%q<cucumber>.freeze, [">= 0"])
      s.add_dependency(%q<yard>.freeze, ["~> 0.6"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
      s.add_dependency(%q<guard-shell>.freeze, [">= 0"])
      s.add_dependency(%q<guard-cucumber>.freeze, [">= 0"])
      s.add_dependency(%q<guard-rake>.freeze, [">= 0"])
      s.add_dependency(%q<benchmark_suite>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<celluloid-io>.freeze, ["~> 0.13"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.5"])
    s.add_dependency(%q<cucumber>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<guard-shell>.freeze, [">= 0"])
    s.add_dependency(%q<guard-cucumber>.freeze, [">= 0"])
    s.add_dependency(%q<guard-rake>.freeze, [">= 0"])
    s.add_dependency(%q<benchmark_suite>.freeze, [">= 0"])
  end
end
